summaryrefslogtreecommitdiffstats
path: root/system/dosbox/dosbox.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/dosbox/dosbox.SlackBuild')
-rw-r--r--system/dosbox/dosbox.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/system/dosbox/dosbox.SlackBuild b/system/dosbox/dosbox.SlackBuild
index f83f53c2e6..976a0218a5 100644
--- a/system/dosbox/dosbox.SlackBuild
+++ b/system/dosbox/dosbox.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=dosbox
VERSION=${VERSION:-0.74}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -57,6 +57,7 @@ else
LIBDIRSUFFIX=""
fi
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -71,6 +72,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix building with gcc>= 4.6.x, thanks to gentoo people
+patch -p0 < $CWD/dosbox-0.74-gcc46.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -85,7 +89,6 @@ CXXFLAGS="$SLKCFLAGS" \
make DESTDIR=$PKG
make install-strip DESTDIR=$PKG
-
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done